﻿--
--RUN AS SOA_INFRA USER
--
SET SERVEROUTPUT ON; 
declare cursor tabcnt is select tname from tab where tabtype = 'TABLE' and tname not like 'SYS_IOT%' and tname not like '%$%' order by tname; 
rowcnt number; 
begin 
dbms_output.put_line('==========================================='); 
dbms_output.put_line('list of number of rows in tables'); 
dbms_output.put_line('==========================================='); 
dbms_output.put_line('table count'); 
dbms_output.put_line('-------------------------------------------'); 
for tabcnt_rec in tabcnt loop 
execute immediate 'select count(*) from ' || tabcnt_rec.tname into rowcnt; 
dbms_output.put_line(rpad(tabcnt_rec.tname, 30) || ' ' || to_char(rowcnt, '999,999,999')); 
end loop; 
dbms_output.put_line('==========================================='); 
end; 